{ buildGoModule, lib, callPackage, project-config? callPackage ./project-config.nix {}, ... }: buildGoModule {
  pname = "demo-signaling-server";
  version = "0.0.1";

  nativeBuildInputs = project-config.buildTools;
  buildInputs = project-config.libraries;

  src = ./.;

  # vendorHash = "";
  vendorHash = "sha256-fxjQPK/6IWxnezix8aMMxw3+MZj8XxqnYD5Z9WUsdM4=";

  preBuild = ''
    go generate -v ./...
  '';

  GOFLAGS = ["-ldflags=-extldflags=-static" "-w"];

  meta = with lib; {
    description = "go project scaffold";
    homepage = "https://git.jeffthecoder.xyz/public/os-flakes";
    license = licenses.unlicense;
    maintainers = [ ];
  };
}
